Get a file
curl --request GET \
--url https://api.ando.so/v1/files/{fileId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/files/{fileId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"object": "file",
"id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"status": "ready",
"purpose": "message_attachment",
"filename": "report.pdf",
"content_type": "application/pdf",
"size_bytes": 12345,
"created_at": "2026-05-14T08:00:00.000Z",
"updated_at": "2026-05-14T08:03:00.000Z",
"upload": null,
"download": {
"method": "GET",
"url": "https://storage.example/download/report.pdf",
"expires_at": "2026-05-14T08:04:00.000Z"
}
},
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p"
}Get a file
Returns metadata and a short-lived download URL when the authenticated principal uploaded the file or can currently read a live message containing it. Incomplete uploads remain visible only to the API key that created the upload intent.
GET
https://api.ando.so/v1
/
files
/
{fileId}
Get a file
curl --request GET \
--url https://api.ando.so/v1/files/{fileId} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/files/{fileId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"object": "file",
"id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p",
"status": "ready",
"purpose": "message_attachment",
"filename": "report.pdf",
"content_type": "application/pdf",
"size_bytes": 12345,
"created_at": "2026-05-14T08:00:00.000Z",
"updated_at": "2026-05-14T08:03:00.000Z",
"upload": null,
"download": {
"method": "GET",
"url": "https://storage.example/download/report.pdf",
"expires_at": "2026-05-14T08:04:00.000Z"
}
},
"file_id": "file_01jzn7e61x3a7v9h2r7t2m3q4p"
}Authorizations
AndoApiKeyBearerApiKey
Response
File lifecycle state.
Public file response envelope.